Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023170
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-02-26 18:492013-04-03 12:55
ReporterjecharriView Statuspublic 
Assigned Tomigueldejuana 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionfa41778d9c74
ProjectionnoneETAnoneTarget VersionRMP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023170: Duplicate cash ups

DescriptionDuplicate cash ups.

We know that web POS can create duplicate cash ups
Steps To Reproduce-create a sale.
-open the same browser with 2 profiles and start doing a cash up in both in the same "POS Terminal"

-go through all steps until the last step

-Execute both at the same time.

You will see that you have a duplicated cash up. It should be another way to reproduce, but if we avoid the posiblity to create a duplicate cash ups we are going to avoid all of them
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056836)
hgbot (developer)
2013-02-28 13:29

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fa41778d9c741fbfe8539b3a223c6d306b5a4551
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Feb 28 13:28:38 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa41778d9c741fbfe8539b3a223c6d306b5a4551 [^]

Fixed issue 0023170: Duplicate cash ups

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0056887)
hgbot (developer)
2013-03-01 11:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2bfd670604a679be576dc90139a49fad734a3233
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Mar 01 11:47:16 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2bfd670604a679be576dc90139a49fad734a3233 [^]

Related to issue 23170: Do not le to press twice Cash up button and do not let duplicate cash up for all terminals

---
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M web/org.openbravo.retail.posterminal/js/closecash/view/closeinfo.js
---
(0056888)
hgbot (developer)
2013-03-01 12:29

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 43a1bc219ee1fa5cf8e065ae27cc393b6b3aa354
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Mar 01 12:29:10 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/43a1bc219ee1fa5cf8e065ae27cc393b6b3aa354 [^]

Related to issue 23170: Remove System.out.println

---
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
---
(0057660)
hgbot (developer)
2013-04-02 20:10

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: fa41778d9c741fbfe8539b3a223c6d306b5a4551
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Feb 28 13:28:38 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/fa41778d9c741fbfe8539b3a223c6d306b5a4551 [^]

Fixed issue 0023170: Duplicate cash ups

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0057662)
hgbot (developer)
2013-04-02 20:10

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 2bfd670604a679be576dc90139a49fad734a3233
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Mar 01 11:47:16 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/2bfd670604a679be576dc90139a49fad734a3233 [^]

Related to issue 23170: Do not le to press twice Cash up button and do not let duplicate cash up for all terminals

---
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M web/org.openbravo.retail.posterminal/js/closecash/view/closeinfo.js
---
(0057663)
hgbot (developer)
2013-04-02 20:10

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 43a1bc219ee1fa5cf8e065ae27cc393b6b3aa354
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Mar 01 12:29:10 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/43a1bc219ee1fa5cf8e065ae27cc393b6b3aa354 [^]

Related to issue 23170: Remove System.out.println

---
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
---

- Issue History
Date Modified Username Field Change
2013-02-26 18:49 jecharri New Issue
2013-02-26 18:49 jecharri Assigned To => migueldejuana
2013-02-28 13:29 hgbot Checkin
2013-02-28 13:29 hgbot Note Added: 0056836
2013-02-28 13:29 hgbot Status new => resolved
2013-02-28 13:29 hgbot Resolution open => fixed
2013-02-28 13:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa41778d9c741fbfe8539b3a223c6d306b5a4551 [^]
2013-03-01 11:47 hgbot Checkin
2013-03-01 11:47 hgbot Note Added: 0056887
2013-03-01 12:29 hgbot Checkin
2013-03-01 12:29 hgbot Note Added: 0056888
2013-03-01 12:46 marvintm Review Assigned To => marvintm
2013-03-01 12:46 marvintm Status resolved => closed
2013-04-02 20:10 hgbot Checkin
2013-04-02 20:10 hgbot Note Added: 0057660
2013-04-02 20:10 hgbot Status closed => resolved
2013-04-02 20:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa41778d9c741fbfe8539b3a223c6d306b5a4551 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/fa41778d9c741fbfe8539b3a223c6d306b5a4551 [^]
2013-04-02 20:10 hgbot Checkin
2013-04-02 20:10 hgbot Note Added: 0057662
2013-04-02 20:10 hgbot Checkin
2013-04-02 20:10 hgbot Note Added: 0057663
2013-04-03 12:55 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker